Upgrade 1.7.1 to 1.7.3

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Upgrade 1.7.1 to 1.7.3

Postby ericc » 22. January 2010 11:40

Hi

I use Xampp since a very long time. Usually I follow all upgrade but recently I miss the 1.7.2 version !
Now I have 1.7.1 installed and I see that the last version is 1.7.3
So I think to upgrade first to 1.7.2 and then to 1.7.3, and I go to the sourceforge website.

Unfortunately, in the the folder 1.7.1, I found "xampp-win32-upgrade-1.7.0-1.7.1.zip"
in the folder 1.7.3, I found "xampp-win32-upgrade-1.7.2-1.7.3.zip"
but in folder 1.7.2, I couldn't found any *-upgrade-1.7.1-1.7.2.* file !!

I don't want to reinstall the 1.7.3 because I may loose all my configuration.
So what can I do ?

Thanks in advance for your help

ericc
ericc
 
Posts: 3
Joined: 08. July 2008 13:32

Re: Upgrade 1.7.1 to 1.7.3

Postby Nobbie » 22. January 2010 12:42

ericc wrote:I don't want to reinstall the 1.7.3 because I may loose all my configuration.
So what can I do ?


Simply nothing.

As there is no upgrade from 1.7.1 to 1.7.2, there is no easy way. Or you have to backup all your data and restore everything (and adapt configuration files manually if you changed them) and do a fully new install of 1.7.3.

There is no way out of that.
Nobbie
 
Posts: 8775
Joined: 09. March 2008 13:04

Re: Upgrade 1.7.1 to 1.7.3

Postby y0ursource » 24. January 2010 21:17

if your website is PHP script of any kind and HTML DO NOT UPDATE to anything past 1.7.1
Otherwise all your php code will not parse and it will write the php to the actual screen instead of executing it.

every PHP script running on 1.7.2 or 1.7.3 does not work correctly stick to v1.7.1 that uses php4 and works perfectly.
unless your going to have to install apache, mysql, and php5 manually which does work fine its just xampp 1.7.2 upwards that dont work.

Proofs of what i'm saying look at the following screenshot

http://img683.imageshack.us/img683/6272/proof1.jpg <-- 1.7.2 and 1.7.3

http://img691.imageshack.us/img691/6246/ysproof1.jpg <-- 1.7.1 Working fully

DO NOT UPGRADE PAST 1.7.1
y0ursource
 
Posts: 12
Joined: 06. November 2009 02:03

Re: Upgrade 1.7.1 to 1.7.3

Postby ericc » 25. January 2010 11:49

Nobbie wrote:Simply nothing.

As there is no upgrade from 1.7.1 to 1.7.2, there is no easy way. Or you have to backup all your data and restore everything (and adapt configuration files manually if you changed them) and do a fully new install of 1.7.3.

It's a problem !
I spend so many time to adapt my php.ini to be like my ISP and to add xdebug that I don't want to loose every thing

For the moment 1.7.1 work without problem with the version of PHP/MySQL I need, so I will stay in this release
Thanks anyway for your answers

ericc
ericc
 
Posts: 3
Joined: 08. July 2008 13:32


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 51 guests